Summary:	Uses internet talk protocol to create multiuser chat sessions
Summary(de.UTF-8):	Benutzt das Internet-Talk-Protokoll zum Erstellen von Multiuser-Chat-Sitzungen
Summary(es.UTF-8):	Usa el protocolo de talk de la internet para crear sesiones de chat entre varios usuarios
Summary(fr.UTF-8):	Utilise le protocole talk pour créer des discussions multi-utilisateurs
Summary(pl.UTF-8):	Klient talk umożliwiający jednoczesną rozmowę z kilkoma osobami
Summary(pt_BR.UTF-8):	Usa o protocolo de talk da internet para criar sessões de chat entre vários usuários
Summary(tr.UTF-8):	Talk protokolu kullanarak ikiden fazla kişinin konuşmasını sağlar
Name:		ytalk
Version:	3.3.0
Release:	1
License:	GPL v2+
Group:		Networking
#Source0Download: http://ytalk.ourproject.org/download.html
Source0:	ftp://ftp.ourproject.org/pub/ytalk/%{name}-%{version}.tar.bz2
# Source0-md5:	a82e4c82f724e36a6a3242d3839d4332
Patch0:		%{name}.patch
URL:		http://ytalk.ourproject.org/
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake
BuildRequires:	ncurses-devel >= 5.0
Provides:	talk
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
ytalk is an extension of the standard Internet 'talk' protocol that
allows more than two users per conversation, redirection of program
output to others, as well as an easy-to-use menu of commands. It uses
the same talk daemon as the standard talk program.

%description -l de.UTF-8
ytalk ist eine Erweiterung des herkömmlichen
Internet-'talk'-Protokolls, die mehr als zwei Benutzer pro
Unterhaltung und die Umleitung von Programmausgaben an andere
ermöglicht und ein einfaches Befehlsmenü enthält. Es verwendet
denselben Talk-Dämon wie das Standardprogramm.

%description -l es.UTF-8
ytalk es una extensión del protocolo "talk" de Internet que permite
más de dos usuarios por conversación, nueva orientación de la salida
del programa para otros, así como un menú de comandos fácil de usar.
Utiliza el mismo daemon "talk" que el programa "talk" padrón.

%description -l fr.UTF-8
ytalk est une extension du protocole standard Internet 'talk' qui
accepte plus de deux utilisateurs par conversation, la redirection des
affichages aux autres, aussi bien que menus de commandes simples à
utiliser. Il utilise le même démon que le programme talk.

%description -l pl.UTF-8
Ytalk jest rozszerzeniem standardowego protokołu internetowego talk.
Pozwala na prowadzenie konwersacji przez więcej niż dwie osoby, używa
tego samego demona talkd co standardowy klient talk.

%description -l pt_BR.UTF-8
ytalk é uma extensão do protocolo "talk" da Internet que permite mais
de dois usuários por conversação, redirecionamento da saída do
programa para outros, assim como um menu de comandos fácil de usar.
Ele utiliza o mesmo daemon "talk" que o programa "talk" padrão.

%description -l tr.UTF-8
ytalk, standart talk yazılımının gelişmiş bir sürümüdür. İkiden fazla
kişinin aynı anda konuşmalarını ve program çıktılarının kullanıcılara
yönlendirilmelerini sağlar. Kolay kullanılabilir bir komut menüsü
içerir. Standart talkd daemon'u kullanır.

%prep
%setup -q
%patch -P0 -p1

%build
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README
%attr(755,root,root) %{_bindir}/ytalk
%{_mandir}/man1/ytalk.1*
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/ytalkrc
%changelog
* Sat Jun 14 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ytalk.git;a=log;h=master

* Sat Jun 14 2025 Jakub Bogusz <qboosh@pld-linux.org> aee8e42
- updated to 3.3.0

* Sat Jun 14 2025 Jakub Bogusz <qboosh@pld-linux.org> cba3b68
- use patch -P

* Sat Dec 05 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 1ec3a80
- ncurses rebuild
- release 14 (by relup.sh)

* Wed Aug 31 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 233acb0
- release 13

* Thu Jan 06 2011 sparky <sparky@pld-linux.org> 497aa2e
- fix build with --no-add-needed ldflag
- use rpmcppflags

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> d2f1749
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> b5ed9a8
- converted to UTF-8

* Tue Aug 08 2006 sparky <sparky@pld-linux.org> 933c2b6
- mass attack: s/%patch /%patch0 / -- usefull for overloaded %patch macro

* Tue Dec 13 2005 Elan Ruusamäe <glen@pld-linux.org> 9880ce4
- adapterized (avoid macros with /usr/include/{ncurses,freetype}*)

* Tue Mar 29 2005 darekr <darekr@pld-linux.org> c434f1d
- noreplace for %config

* Wed Aug 18 2004 domelu <domelu@pld-linux.org> 8a0f582
- rel. 12 to rebuild
CVS

* Thu May 27 2004 kali <kali@pld-linux.org> 5c9ea92
- URL fix

* Tue Nov 18 2003 undefine <undefine@pld-linux.org> 688ba7f
- release 11 to rebuild with ac

* Mon May 26 2003 Michal Moskal <michal@moskal.me> 5b24c09
- massive attack: adding Source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> b3561d2
- massive attack s/pld.org.pl/pld-linux.org/

* Wed Jun 05 2002 kloczek <kloczek@pld-linux.org> 3891ea0
- bump reelase to 10.

* Wed Jun 05 2002 marcus <marcus@pld-linux.org> 9f84f5a
- fixed path to man in make install

* Mon May 27 2002 Paweł Gołaszewski <blues@pld-linux.org> ecbc342
- release 5
- new doc
- provides: talk

* Wed May 22 2002 kloczek <kloczek@pld-linux.org> b882267
- perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

* Sat Feb 23 2002 kloczek <kloczek@pld-linux.org> 2f58dad
- adapterized.

